Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jul
Class AbstractLoggerAdapter

    java.lang.Object
      org.apache.logging.log4j.spi.AbstractLoggerAdapter<Logger>
          org.apache.logging.log4j.jul.AbstractLoggerAdapter

All Implemented Interfaces:
  Closeable, org.apache.logging.log4j.spi.LoggerAdapter<Logger>

Direct Known Subclasses:
  ApiLoggerAdapter, CoreLoggerAdapter

    public abstract class AbstractLoggerAdapter

extends org.apache.logging.log4j.spi.AbstractLoggerAdapter<Logger>

Abstract Logger registry. Due to the optionality of using log4j-core, there are two registries available at runtime to create: `ApiLoggerAdapter` and `CoreLoggerAdapter`.

Since:
  2.1

Field Summary

Fields inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`registry`

Constructor Summary
`AbstractLoggerAdapter()`

Method Summary
`protected org.apache.logging.log4j.spi.LoggerContext` | `getContext()`

Methods inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`close, getContext, getLogger, getLoggersInContext, newLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoggerAdapter

    public AbstractLoggerAdapter()

Method Detail

### getContext

    protected org.apache.logging.log4j.spi.LoggerContext getContext()

  Specified by:
    `getContext` in class `org.apache.logging.log4j.spi.AbstractLoggerAdapter<Logger>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.